Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # transform_pixel_positions [STL-like Algorithms] ## Detailed Description adobe::transform_positions for image views (passes locators, instead of pixel references, to the function object)
## Functions
template<typename View1, typename View2, typename F>
GIL_FORCEINLINE F | transform_pixel_positions (const View1 &src, const View2 &dst, F fun)
| Like transform_pixels but passes to the function object pixel locators instead of pixel references.
template<typename View1, typename View2, typename View3, typename F>
GIL_FORCEINLINE F | transform_pixel_positions (const View1 &src1, const View2 &src2, const View3 &dst, F fun)
| transform_pixel_positions with two sources